Skip to main content
GET
/
instruments
/
{instrument_id}
Get a single instrument by ID
curl --request GET \
  --url https://api.lite.sa/v1/instruments/{instrument_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.lite.sa/v1/instruments/{instrument_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.lite.sa/v1/instruments/{instrument_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.lite.sa/v1/instruments/{instrument_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.lite.sa/v1/instruments/{instrument_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lite.sa/v1/instruments/{instrument_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "success": true,
  "instrument": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "merchant_id": "merch_123456789",
    "holder_id": "holder_123456789",
    "payment_method": "card",
    "holder_type": "CUSTOMER",
    "status": "ACTIVE",
    "created_at": "2024-01-01T00:00:00.000Z",
    "updated_at": "2024-01-01T00:00:00.000Z",
    "display": {
      "expiry_year": "30",
      "expiry_month": "12",
      "scheme": "Visa",
      "last_4": "0018"
    }
  }
}
{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

instrument_id
string<uuid>
required

Unique identifier of the instrument

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Instrument retrieved successfully.

Instrument details response

success
boolean
required

Whether the operation was successful

Example:

true

instrument
object
required

Full instrument details